/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sessions;

import entities.Film;
import entities.Realisateur;
import javax.ejb.EJB;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author mbuffa
 */
@Stateless
public class FilmFacade extends AbstractFacade<Film> {
    @PersistenceContext(unitName = "TestBDM1MiagePU")
    private EntityManager em;
    
    @EJB
    private RealisateurFacade realisateurFacade;
    
    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public FilmFacade() {
        super(Film.class);
    }

    public void creerDonneesDeTest() {
        System.out.println("CREER DONNEES DE TEST DEPUIS FACADE");
        /*for(int i =0; i < 1000; i++) {
            Film f = new Film("New York " + i);
            create(f);
        }
*/
        Film f = new Film("ET");        
        create(f);
        
        Realisateur r = new Realisateur();
        r.setNom("Steven Spielberg");
        realisateurFacade.create(r);
        f.setRealisateur(r);
        
         Film f2 = new Film("Indiana Jones");        
        create(f2);
         f2.setRealisateur(r);
         
        System.out.println("Nb films en base " + count());

        
    }
    
}
